# sized_frame.py

import wx
import wx.lib.sized_controls as sc

########################################################################
class RegularFrame(wx.Frame):
    """"""

    #----------------------------------------------------------------------
    def __init__(self):
        """Constructor"""
        wx.Frame.__init__(self, None, title="Regular Frame",
                          size=(400, 500))
        panel = wx.Panel(self)
        
        sizer = wx.BoxSizer(wx.VERTICAL)
        for item in range(5):
            btn = wx.Button(panel, label=str(item))
            sizer.Add(btn, 0, wx.ALL, 5)
    
        panel.SetSizer(sizer)
        self.Show()
    

########################################################################
class SizedFrame(sc.SizedFrame):
    """"""

    #----------------------------------------------------------------------
    def __init__(self):
        """Constructor"""
        sc.SizedFrame.__init__(self, None, title="SizedFrame Demo",
                               size=(400,500))
        
        panel = self.GetContentsPane()
        
        for item in range(5):
            btn = wx.Button(panel, label=str(item))
            btn.SetSizerProps(border=("all", 5))
            
        self.Show()
    
#----------------------------------------------------------------------
if __name__ == "__main__":
    app = wx.App()
    frame = SizedFrame()
    app.MainLoop()